package com.shinsoft.sto.service;


import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.sto.model.Stocktaking;
import com.shinsoft.tools.model.common.ResultJSON;


/**
 * <p>
 * 盘库记录表 服务类
 * </p>
 *
 * @author system
 * @since 2024-10-17
 */
public interface StocktakingService extends IService<Stocktaking> {

    ResultJSON query(int page, int rows, String params);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);

}
